Skip to content

List the authenticated customer's own bookings

GET
/api/portal/bookings
curl --request GET \
--url https://example.com/api/portal/bookings \
--header 'Authorization: Bearer <token>'
limit
integer
> 0 <= 100
offset
integer
<= 9007199254740991

Default Response

Media typeapplication/json
object
data
required
Array<object>
object
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
status
required
string
Allowed values: pending confirmed completed cancelled no_show
startTime
required
string
endTime
required
string
durationMinutes
required
integer
>= -9007199254740991 <= 9007199254740991
serviceId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
serviceName
required
string
staffId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
staffName
required
string
priceCents
required
integer
>= -9007199254740991 <= 9007199254740991
locationType
required
Any of:
string
Allowed values: in_person phone zoom
meetingUrl
required
Any of:
string
notes
required
Any of:
string
cancelledAt
required
Any of:
string
Example
{
"data": [
{
"status": "pending",
"locationType": "in_person"
}
]
}